import { IEditorMimeTypeService } from '@jupyterlab/codeeditor';
import { DocumentRegistry, DocumentWidget } from '@jupyterlab/docregistry';
import { INotebookModel, INotebookTracker, NotebookPanel } from '@jupyterlab/notebook';
import { IRenderMimeRegistry } from '@jupyterlab/rendermime';
import { ServiceManager } from '@jupyterlab/services';
import { ISessionContext } from '@jupyterlab/apputils';
import { Widget } from '@lumino/widgets';
import { NotebookGridFactory } from '../factories/notebook_grid/notebook_grid_factory';
export interface IGridOptions {
    manager: ServiceManager;
    rendermime: IRenderMimeRegistry;
    tracker: INotebookTracker;
    contentFactory: NotebookPanel.IContentFactory;
    mimeTypeService: IEditorMimeTypeService;
}
export declare class NotebookGridDocWidget extends DocumentWidget<NotebookGridPanel, INotebookModel> {
    private options;
    constructor(options: DocumentWidget.IOptions<NotebookGridPanel, INotebookModel>);
    dispose(): void;
    get sessionContext(): ISessionContext | undefined;
}
export declare class NotebookGridPanel extends Widget {
    constructor(context: DocumentRegistry.IContext<INotebookModel>, notebookGridFactory: NotebookGridFactory);
    dispose(): void;
    get sessionContext(): ISessionContext | undefined;
    get model(): INotebookModel | undefined;
    private _widget;
}
