import { DocumentWidget } from '@jupyterlab/docregistry';
import { Signal } from '@lumino/signaling';
import { Widget } from '@lumino/widgets';
export class NotebookGridDocWidget extends DocumentWidget {
    constructor(options) {
        super(options);
        this.options = options;
    }
    dispose() {
        this.content.dispose();
        super.dispose();
    }
    get sessionContext() {
        return this.options.content.sessionContext;
    }
}
export class NotebookGridPanel extends Widget {
    constructor(context, notebookGridFactory) {
        super();
        this.addClass('jp-al-NotebookGridDoc');
        context.ready.then(async () => {
            var _a;
            const sourceCode = context.model.toString();
            const path = (_a = context.contentsModel) === null || _a === void 0 ? void 0 : _a.path;
            const cwd = path === null || path === void 0 ? void 0 : path.substring(0, path.lastIndexOf('/') + 1);
            const config = {
                title: context.path,
                id: '',
                sourceCode,
                source: '',
                cwd: cwd,
                type: 'notebook-grid'
            };
            const launcherApp = await notebookGridFactory.create(config);
            if (launcherApp) {
                this._widget = launcherApp.panel;
                Widget.attach(this._widget, this.node);
            }
        });
    }
    dispose() {
        var _a;
        if (this.isDisposed) {
            return;
        }
        (_a = this._widget) === null || _a === void 0 ? void 0 : _a.dispose();
        Signal.clearData(this);
        super.dispose();
    }
    get sessionContext() {
        var _a, _b;
        return (_b = (_a = this._widget) === null || _a === void 0 ? void 0 : _a.model.context) === null || _b === void 0 ? void 0 : _b.sessionContext;
    }
    get model() {
        var _a, _b;
        return (_b = (_a = this._widget) === null || _a === void 0 ? void 0 : _a.model.context) === null || _b === void 0 ? void 0 : _b.model;
    }
}
