import { showErrorMessage } from '@jupyterlab/apputils';
export class CommandsFactory {
    constructor(options) {
        this._commands = options.commands;
    }
    async create(config, args) {
        const source = config.source;
        for (const cmd of source) {
            try {
                await this._commands.execute(cmd.id, cmd.args);
            }
            catch (error) {
                await showErrorMessage(`${cmd.label}: Error`, error);
                break;
            }
        }
        return;
    }
}
