import { GridStackItem } from './item';
import { Message } from '@lumino/messaging';
import { Panel } from '@lumino/widgets';
import { DashboardCellView, IAppModel } from '../../token';
import { AppModel } from './app_model';
export declare class AppWidget extends Panel {
    constructor(options: AppWidget.IOptions);
    /**
     * A promise that is fulfilled when the model is ready.
     */
    get ready(): Promise<void>;
    get model(): IAppModel;
    get gridWidgets(): Array<GridStackItem>;
    dispose(): void;
    addGridItem(out: GridStackItem): void;
    updateGridItem(id: string, info?: DashboardCellView): void;
    render(): Promise<void>;
    protected onCloseRequest(msg: Message): void;
    private _model;
    private _ready;
    private _grid;
    private _gridHost;
    private _gridElements;
    private _spinner;
}
export declare namespace AppWidget {
    interface IOptions {
        id: string;
        label: string;
        model: AppModel;
    }
}
