import { IEditorMimeTypeService, IEditorServices } from '@jupyterlab/codeeditor';
import { INotebookTracker, NotebookPanel } from '@jupyterlab/notebook';
import { IRenderMimeRegistry } from '@jupyterlab/rendermime';
import { ServiceManager } from '@jupyterlab/services';
import { ILauncherConfiguration } from '../../schema';
import { IPanelFactory } from '../../token';
import { ILauncherApp } from './../../token';
import { AppWidget } from './app_widget';
export declare class NotebookGridFactory implements IPanelFactory<AppWidget> {
    private options;
    constructor(options: NotebookGridFactory.IOptions);
    create(config: ILauncherConfiguration): Promise<ILauncherApp<AppWidget> | void>;
}
export declare namespace NotebookGridFactory {
    interface IOptions {
        manager: ServiceManager.IManager;
        rendermime: IRenderMimeRegistry;
        tracker: INotebookTracker;
        contentFactory: NotebookPanel.IContentFactory;
        mimeTypeService: IEditorMimeTypeService;
        editorServices: IEditorServices;
    }
}
