export class PanelFactoryManager {
    constructor() {
        this._isDisposed = false;
        this._factoryMap = new Map();
    }
    registerFactory(type, factory) {
        if (this._factoryMap.has(type)) {
            console.warn(`Factory for ${type} is already registered, replacing!`);
        }
        this._factoryMap.set(type, factory);
    }
    getFactory(type) {
        return this._factoryMap.get(type);
    }
    get isDisposed() {
        return this._isDisposed;
    }
    dispose() {
        if (this._isDisposed) {
            return;
        }
    }
}
