import { requestAPI } from './handler';
import { iconFromSvgString, iconFromText } from './tools';
export class RunningLauncherApp {
    constructor(options) {
        this.options = options;
    }
    /**
     * This is no-op because we do not do anything on server click event
     */
    open() {
        /** no-op */
    }
    icon() {
        let icon;
        if (this.options.icon) {
            icon = iconFromSvgString(this.options.icon);
        }
        else {
            icon = iconFromText(this.options.title);
        }
        return icon;
    }
    label() {
        return `${this.options.title} (${this.options.type})`;
    }
    shutdown() {
        requestAPI({
            method: 'POST',
            body: JSON.stringify({
                method: 'terminate_resources',
                id: this.options.factoryId,
                instanceId: this.options.instanceId
            })
        })
            .then(() => {
            this.options.tracker.updateRunningInstance();
        })
            .catch(console.error);
    }
}
